Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class Emitter

    java.lang.Object
      net.sf.saxon.event.Emitter

All Implemented Interfaces:
  Result, Receiver

Direct Known Subclasses:
  PTreeEmitter, XMLEmitter

    public abstract class Emitter

extends Object
implements Result, Receiver

Emitter: This abstract class defines methods that must be implemented by components that format SAXON output. There is one emitter for XML, one for HTML, and so on. Additional methods are concerned with setting options and providing a Writer.

The interface is deliberately designed to be as close as possible to the standard SAX2 ContentHandler interface, however, it allows additional information to be made available. An Emitter is a Receiver, specifically it is a Receiver that can direct output to a Writer or OutputStream, using serialization properties defined in a Properties object.

Constructor Summary
`Emitter()`

Method Summary
`Configuration` | `getConfiguration()` Get the configuration used for this document
`Properties` | `getOutputProperties()` Get the output properties
`OutputStream` | `getOutputStream()` Get the output stream
`PipelineConfiguration` | `getPipelineConfiguration()` Get the pipeline configuration used for this document
`String` | `getSystemId()` Get the System ID
`Writer` | `getWriter()` Get the output writer
`void` | `setOutputProperties(Properties details)` Set output properties
`void` | `setOutputStream(OutputStream stream)` Set the output destination as a byte stream
`void` | `setPipelineConfiguration(PipelineConfiguration pipe)` Set the pipelineConfiguration
`void` | `setStreamResult(StreamResult result)` Set the StreamResult acting as the output destination of the Emitter
`void` | `setSystemId(String systemId)` Set the System ID
`void` | `setUnparsedEntity(String name, String uri, String publicId)` Set unparsed entity URI.
`void` | `setWriter(Writer writer)` Set the output destination as a character stream
`boolean` | `usesWriter()` Determine whether the Emitter wants a Writer for character output or an OutputStream for binary output.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.event.Receiver
`attribute, characters, close, comment, endDocument, endElement, namespace, open, processingInstruction, startContent, startDocument, startElement`

Constructor Detail

### Emitter

    public Emitter()

Method Detail

### setPipelineConfiguration

    public void setPipelineConfiguration(PipelineConfiguration pipe)

  Set the pipelineConfiguration

  Specified by:
    `setPipelineConfiguration` in interface `Receiver`

### getPipelineConfiguration

    public PipelineConfiguration getPipelineConfiguration()

  Get the pipeline configuration used for this document

  Specified by:
    `getPipelineConfiguration` in interface `Receiver`

### getConfiguration

    public Configuration getConfiguration()

  Get the configuration used for this document

### setSystemId

    public void setSystemId(String systemId)

  Set the System ID

  Specified by:
    `setSystemId` in interface `Result`
  Specified by:
    `setSystemId` in interface `Receiver`

### getSystemId

    public String getSystemId()

  Get the System ID

  Specified by:
    `getSystemId` in interface `Result`

### setOutputProperties

    public void setOutputProperties(Properties details)
                             throws XPathException

  Set output properties

  Throws:
    `XPathException`

### getOutputProperties

    public Properties getOutputProperties()

  Get the output properties

### setStreamResult

    public void setStreamResult(StreamResult result)
                         throws XPathException

  Set the StreamResult acting as the output destination of the Emitter

  Throws:
    `XPathException`

### usesWriter

    public boolean usesWriter()

  Determine whether the Emitter wants a Writer for character output or an OutputStream for binary output. The standard Emitters all use a Writer, so this returns true; but a subclass can override this if it wants to use an OutputStream

### setWriter

    public void setWriter(Writer writer)

  Set the output destination as a character stream

### getWriter

    public Writer getWriter()

  Get the output writer

### setOutputStream

    public void setOutputStream(OutputStream stream)
                         throws XPathException

  Set the output destination as a byte stream

  Throws:
    `XPathException`

### getOutputStream

    public OutputStream getOutputStream()

  Get the output stream

### setUnparsedEntity

    public void setUnparsedEntity(String name,
                                  String uri,
                                  String publicId)
                           throws XPathException

  Set unparsed entity URI. Needed to satisfy the Receiver interface, but not used, because unparsed entities can occur only in input documents, not in output documents.

  Specified by:
    `setUnparsedEntity` in interface `Receiver`
  Parameters:
    `name` - The name of the unparsed entity
    `uri` - The system identifier of the unparsed entity
    `publicId` - The public identifier of the unparsed entity
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.